from setuptools import setup, find_packages

setup(
    name="sheetbuddy",
    version="2.0.0",
    author="Ashish Rogannagari",
    author_email="Ashishrogannagari98@gmail.com",
    description="A library for data summary and analysis from various formats such as CSV, API, URL, etc.",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/AshishRogannagari/sheetbuddy",
    package_dir={"": "src"},
    install_requires=[
        "pandas",
        "requests",
        "openpyxl",
        "tqdm",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    keywords=[
        "data analysis",
        "data summary",
        "CSV",
        "API",
        "URL",
        "pandas",
        "requests",
        "openpyxl",
        "tqdm",
        "excel",
        "eda",
        "data",
        "data science",
        "data engineering",
        "data analytics",
        "data visualization",
        "data manipulation",
        "data cleaning",
        "data wrangling",
        "data preprocessing",
        "data transformation",
        "data exploration",
        "data mining",
        "data modeling",
        "data interpretation",
        "data presentation",
        "data reporting",
        "data storytelling",
    ],
    python_requires='>=3.0',
)
